Page MenuHomePhabricator

copy: move argument validation a little earlier
ClosedPublic

Authored by martinvonz on Jan 28 2020, 6:51 PM.

Details

Summary

Argument validation is usually done early and I will want it done
before some code that I'm about to add.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Jan 28 2020, 6:51 PM
martinvonz updated this revision to Diff 19696.Jan 29 2020, 6:37 PM
marmoute accepted this revision.Feb 7 2020, 3:49 PM
marmoute added a subscriber: marmoute.

This looks like a cleanup we can take anyway.

martinvonz updated this revision to Diff 20072.Feb 10 2020, 5:42 PM
martinvonz updated this revision to Diff 20085.Feb 10 2020, 6:30 PM
durin42 accepted this revision.Feb 12 2020, 2:44 PM
durin42 added a subscriber: durin42.

Oddly, this had some rejects (I didn't look why) but i"d be happy to see this earlier in the series.

This revision is now accepted and ready to land.Feb 12 2020, 2:44 PM

Oddly, this had some rejects (I didn't look why) but i"d be happy to see this earlier in the series.

I moved some revisions around, but it wasn't trivial to move this one. I don't mind waiting until the parents are accepted anyway.

martinvonz updated this revision to Diff 20193.Feb 13 2020, 2:09 PM
martinvonz updated this revision to Diff 20232.Feb 14 2020, 6:19 PM

fixed stale uses of -r in commit message and transient code

This revision was automatically updated to reflect the committed changes.